local _
local ADDON, P = ...
CSP = LibStub("AceAddon-3.0"):NewAddon(ADDON,"AceEvent-3.0","AceTimer-3.0","AceConsole-3.0")
function CSP:Verbose(...)
  if self.DB.verbose then print(("|cff7f7f7f%s|r [|cff00ffff%s|r]"):format(ElvUI and "" or ("[" .. date("%H:%M") .. "]"),ADDON),...) end
end
function CSP:OnInitialize() -- app initialize
  self:InitEvents() -- register events
  self:ProfileLoad() -- initialize AceDB
  self:OptionsLoad() -- initialize AceConfig
end
local showWhich = {}
local blacklisted = {
  ["DANGEROUS_SCRIPTS_WARNING"] = true
}
function CSP:BackTimer()
  if InCombatLockdown() then return end -- only out-of combat is safe to simulate clicks
  for i = 1, 10 do
    local frame = _G["StaticPopup" .. i]
    if frame and frame.IsShown and frame:IsShown() and frame.which then
      local button = _G["StaticPopup" .. i .. "Button1"] -- /run local b = _G["StaticPopup1Button1"]; print(b)
      if button and button.IsShown and button:IsShown() then
        if not (button.GetText and (button:GetText() == CANCEL)) then -- static popup with single cancel button, like logout etc.
          if self.DB.popups[frame.which] or (WoWBox and (frame.which == "BUYEMALL_CONFIRM")) then -- configured or personal app
            local editbox = _G["StaticPopup" .. i .. "EditBox"]
            if editbox and editbox.IsShown and editbox:IsShown() then -- fill in confirm edit box
              editbox:SetText(DELETE_ITEM_CONFIRM_STRING)
            end
            if button.Click then
              button:Click("LeftButton")
            end
          else
            if not showWhich[frame.which] then
              if (self.DB.popups[frame.which] == nil) then
                if not blacklisted[frame.which] and button.GetText and ((button:GetText() == YES) or (button:GetText() == OKAY)) then
                  self:Verbose(frame.which,P.L["REQUEST"])
                end
              else
                self:Verbose(frame.which,P.L["NOTENABLED"])
              end
            end
            showWhich[frame.which] = true
          end
        end
      end
    end
  end
end
